
%define module1_name cups-pantum
%define module1_version 1.1.106
%define module2_name libsane-pantum
%define module2_version 1.1.106
%define module3_name cups-pantum-ipp
%define module3_version 1.1.106

%define module_builddir $RPM_BUILD_DIR/%{module1_name}-%{version}-%{release}


Name: %{module1_name}
Version: %{module1_version}
Release: 1%{?dist}
Summary: CUPS drivers for Pantum printers (inkl. P2502W)
#Group: Application/Printing
License: commercial
URL: https://global.pantum.com/support/download/driver/
Source0: pantum_1.1.106-1_amd64.deb
# 2023-10-30 for P2502W: https://global.pantum.com/download/getFileLink?menuId=1517378576861671426&dataId=1549571939642736641

Requires: cups
Requires: cups-pantum-ipp

BuildArch: x86_64
BuildRequires: alien

%description
This package provides the CUPS drivers for Pantum printers (P2502W and probably others, too).



%prep
rm -rf %{module_builddir} ||:
mkdir -p %{module_builddir}/%{module1_name}-%{version}
cd %{module_builddir}/%{module1_name}-%{version}
alien -g %{SOURCE0}
mv %{module_builddir}/%{module1_name}-%{module1_version}/pantum-%{module1_version}/{etc,opt,usr}/ %{module_builddir}/
#rm -rf %{module_builddir}/%{module1_name}-%{module1_version}/pantum-%{module1_version}/
#rm -rf %{module_builddir}/%{module1_name}-%{module1_version}/pantum-%{module1_version}.orig/
rm -rf %{module_builddir}/%{module1_name}-%{module1_version}/


%install
# module 1
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d/
mkdir -p $RPM_BUILD_ROOT/usr/lib/cups/filter/ $RPM_BUILD_ROOT/usr/share/cups/model/Pantum/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{module1_name}/
mkdir -p $RPM_BUILD_ROOT/usr/share/licenses/%{module1_name}/
install %{module_builddir}/usr/lib/cups/filter/rastertoPantum $RPM_BUILD_ROOT/usr/lib/cups/filter/
for fn in %{module_builddir}/usr/lib/cups/filter/*; do
  fndest="rastertoPantum"
  fnsrc="${fn##*/}"
  if [ "x$fndest" != "x" ] && [ "x$fnsrc" != "x" ] && [ "x$fnsrc" != "xrastertoPantum" ]; then
    ln -s $fndest $RPM_BUILD_ROOT/usr/lib/cups/filter/$fnsrc
  fi
done
install %{module_builddir}/etc/udev/rules.d/*pantum_mfp.rules $RPM_BUILD_ROOT/etc/udev/rules.d/
install %{module_builddir}/usr/share/cups/model/Pantum/* $RPM_BUILD_ROOT/usr/share/cups/model/Pantum/
install %{module_builddir}/usr/share/doc/pantum/* $RPM_BUILD_ROOT/usr/share/doc/%{module1_name}/
install %{module_builddir}/usr/share/doc/pantum/copyright $RPM_BUILD_ROOT/usr/share/licenses/%{module1_name}/LICENSE

%files
%doc /usr/share/doc/%{module1_name}/copyright
%doc /usr/share/doc/%{module1_name}/changelog.gz
%license /usr/share/licenses/%{module1_name}/LICENSE
/etc/udev/rules.d/60-pantum_mfp.rules
/usr/lib/cups/filter/*
/usr/share/cups/model/Pantum/*


%changelog
* Mon Oct 30 2023 Frederic Krueger <fkrueger-dev-cupspantum@holics.at> 1.1.106-1
- Initial spec file created based on the deb package by Pantum themselves

